QGIS Application - Feature request #13445
Add legend type/properties for map composer: gradient, horizontal, with label offset
2015-09-28 03:17 PM - Juraj Betak

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21492
Description

Please, see attached image to understand the thread:

A - definition of thresholds for the color legend

B - visualisation of color legend in TOC

C - example what | am capable to construct via legend properties to map composer

My wish:
D - vertical color gradient with correct position of values (see offset next to the interval threshold), no outline forthe interval colors
E - represents D, transformed to horizontal position

| do not know, how much work it is to implement features for creating such legend, but that would be really helpful.

| work with various kinds of gridded data for 15+ years on daily basis; E option would cover 90% of my needs for legend. It is logically
correct and compact to save space in the layout. A lot of "unGIS" software/libs (like Matplotlib+Basemap) offer such legend type.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown
